Subject: Re: Where is random()?
From: [email-masked] (Mark Fitzgerald)

15 Dec 1998 16:23:08 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Jan Tomasek <[email-masked]>
Cc: "[email-masked]" <[email-masked]>

On Sun, 13 Dec 1998, Jan Tomasek wrote:

> On my Linux (Debian) is on random() man page writen that it is in
> defined in stdlib.h
>  * if I compile it with gcc on that linux all is ok
>  * if I compile it with Cygnus gcc port I get warning:
> 
> In file included from sftpx.c:11:
> ftpx.c:9: warning: implicit declaration of function `random'

I ran into the same problem.  I didn't bother searching for random(),
though, because as far as I know, random() is not ANSI C++.  rand() is
ANSI C++.

Of course, random() is probably lurking about somewhere in there...

Mark

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".